/**
 * Problems generated by DeviceMonitor
 *
 * @author herbert
 *
 */
package org.opendaylight.mwtn.deviceMonitor.impl;

import org.opendaylight.mwtn.base.internalTypes.InternalSeverity;

public enum DeviceMonitorProblems {

	/**
	 * Mountpoint is not connected via NETCONF with NE/Mediator = ssh connection
	 */
    connectionLossOAM(InternalSeverity.Major),

    /**
     * Mountpoint is connected via Netconf to Mediator, but mediator is not responding.
     * Connection state to NE is unknown.
     */
    connectionLossMediator(InternalSeverity.Major),

    /** Mountpoint is connected via Netconf to Mediator.
     * This connection is OK, but mediator <-> NE Connection is not OK
     */
    connectionLossNeOAM(InternalSeverity.Major);

    InternalSeverity severity;

    DeviceMonitorProblems(InternalSeverity severity) {
        this.severity = severity;
    }

    InternalSeverity getSeverity() {
        return severity;
    }

}

